<?php


namespace App\ViewModels\Especialidade\EspecialidadeDetailsViewModel;

use App\Utils\Builder;

class EspecialidadeDetailsViewModelBuilder implements Builder
{

    protected $id;
    protected $descricao;

    public function setId(int $id) : EspecialidadeDetailsViewModelBuilder
    {
        $this->id = $id;
        return $this;
    }
    public function setDescricao(string $descricao) : EspecialidadeDetailsViewModelBuilder
    {
        $this->descricao = $descricao;
        return $this;
    }

    public function build() : EspecialidadeDetailsViewModel
    {
        $especialidade_details_vm = new EspecialidadeDetailsViewModel();
        $especialidade_details_vm->setid($this->id);
        $especialidade_details_vm->setdescricao($this->descricao);
        return $especialidade_details_vm;
    }
}